Bug 521008 - [5.4] yum returns the error when updating the package which doesn't exist.
Summary: [5.4] yum returns the error when updating the package which doesn't exist.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Petr Sklenar ⛄
URL:
Whiteboard:
Depends On:
Blocks: 499522
TreeView+ depends on / blocked
 
Reported: 2009-09-03 06:51 UTC by Issue Tracker
Modified: 2018-10-27 15:54 UTC (History)
6 users (show)

Fixed In Version: yum-3.2.22-23.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:29:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0254 normal SHIPPED_LIVE yum bug fix update 2010-03-29 12:46:52 UTC

Comment 7 Vishal Gaikwad 2009-10-07 08:20:26 UTC
Public Summary:

When you try to update for non-exist packages with yum-3.2.22-20.el5 included Red Hat Enterprise Linux 5.4, yum returns  an error status.

# rpm -q yum; yum update none_exist > /dev/null; echo $?
yum-3.2.22-20.el5
Error: No Package Matching none_exist
1

yum earlier than this version returns a normal status.

# rpm -q yum; yum update none_exist > /dev/null; echo $?
yum-3.2.19-18.el5
0

We have identified this as a bug. A patch has been committed upstream which resolves this issue.

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=56766151d170674366076bf32b9c4f670021e7c0

Comment 11 David Mansfield 2009-11-19 16:02:15 UTC
is there a "snapshot" build of this updated yum I can test with?  I'm hitting this bug right now.

Comment 18 David Mansfield 2010-03-11 18:57:37 UTC
i realize there are other bugs/comments i cannot see, and I'm hoping one of them contains a link to a fixed version of this package.  is that possible?

Comment 19 Guil Barros 2010-03-11 19:16:16 UTC
Hi David,

There should be a fixed release shortly, stay tuned!

-Guil

Comment 20 errata-xmlrpc 2010-03-30 08:29:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0254.html


Note You need to log in before you can comment on or make changes to this bug.